Difference between revisions of "MediaWiki:Common.css"

From SHA2017 Wiki
Jump to: navigation, search
(add css for Template:ToDo)
 
Line 1: Line 1:
 
/* CSS placed here will be applied to all skins */
 
/* CSS placed here will be applied to all skins */
  
/* TODO template start */
+
/* [[Template:ToDo]] START */
 
table.mbox-style {
 
table.mbox-style {
 
     border-left: 10px solid #fc3;
 
     border-left: 10px solid #fc3;
Line 28: Line 28:
 
     width: 100%;
 
     width: 100%;
 
}
 
}
/* TODO template end */
+
/* [[Template:ToDo]] END */
 +
 
 +
/* [[Template:Countdown]] START */
 +
/* the countdown clock on the front page of the wiki. See common.js for the script. */
 +
#clockdiv{
 +
font-family: sans-serif;
 +
color: #fff;
 +
display: inline-block;
 +
font-weight: 100;
 +
text-align: center;
 +
font-size: 30px;
 +
}
 +
 
 +
#clockdiv > div{
 +
padding: 10px;
 +
border-radius: 3px;
 +
background: #00BF96;
 +
display: inline-block;
 +
        margin-left: 10px;
 +
}
 +
 
 +
#clockdiv div > span{
 +
padding: 15px;
 +
border-radius: 3px;
 +
background: #00816A;
 +
display: inline-block;
 +
        width:50px;
 +
        height:50px;
 +
}
 +
 
 +
.clocksmalltext{
 +
padding-top: 5px;
 +
font-size: 16px;
 +
}
 +
/* [[Template:Countdown]] END */

Revision as of 11:11, 26 December 2016

/* CSS placed here will be applied to all skins */

/* [[Template:ToDo]] START */
table.mbox-style {
    border-left: 10px solid #fc3;
}

table.mbox {
    margin: 0 10%;
    border: 1px solid #a2a9b1;
    border-left: 10px solid #36c;
    background: #fbfbfb;
}
.ambox td.mbox-image {
    padding: 2px 0 2px 0.5em;
}
td.mbox-image {
    border: none;
    padding: 2px 0 2px 0.9em;
    text-align: center;
}
.mbox th.mbox-text, .mbox td.mbox-text {
    padding: 0.25em 0.5em;
}
th.mbox-text, td.mbox-text {
    border: none;
    padding: 0.25em 0.9em;
    width: 100%;
}
/* [[Template:ToDo]] END */

/* [[Template:Countdown]] START */
/* the countdown clock on the front page of the wiki. See common.js for the script. */
#clockdiv{
	font-family: sans-serif;
	color: #fff;
	display: inline-block;
	font-weight: 100;
	text-align: center;
	font-size: 30px;
}

#clockdiv > div{
	padding: 10px;
	border-radius: 3px;
	background: #00BF96;
	display: inline-block;
        margin-left: 10px;
}

#clockdiv div > span{
	padding: 15px;
	border-radius: 3px;
	background: #00816A;
	display: inline-block;
        width:50px;
        height:50px;
}

.clocksmalltext{
	padding-top: 5px;
	font-size: 16px;
}
/* [[Template:Countdown]] END */